curl "https://api.datacircle.dev/linkedin/profile?url=https://www.linkedin.com/in/williamhgates" \
-H "Authorization: Token $DATACIRCLE_API_KEY" \
-H "X-Data-Provider: harvestapi"import os
import requests
response = requests.get(
"https://api.datacircle.dev/linkedin/profile",
headers={"Authorization": f"Token {os.environ['DATACIRCLE_API_KEY']}", "X-Data-Provider": "harvestapi"},
params={'url': 'https://www.linkedin.com/in/williamhgates'},
)
print(response.json())const options = {
method: 'GET',
headers: {'X-Data-Provider': '<x-data-provider>', Authorization: 'Bearer <token>'}
};
fetch('https://api.datacircle.dev/linkedin/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"element": {
"id": "ACoAAA8BYqEBCGLg_vT_ca6mMEqkpp9nVffJ3hc",
"publicIdentifier": "williamhgates",
"linkedinUrl": "https://www.linkedin.com/in/williamhgates",
"firstName": "Bill",
"lastName": "Gates",
"emails": [],
"headline": "Chair, Gates Foundation and Founder, Breakthrough Energy",
"websites": [
"https://gatesnot.es/AI"
],
"openToWork": false,
"hiring": false,
"premium": true,
"influencer": true,
"memorialized": false,
"creator": true,
"location": {
"linkedinText": "Seattle, Washington, United States",
"countryCode": "US",
"parsed": {
"text": "Seattle, WA, United States",
"countryCode": "US",
"regionCode": null,
"country": "United States",
"countryFull": "United States of America",
"state": "Washington",
"city": "Seattle"
}
},
"objectUrn": "251749025",
"registeredAt": "2013-05-02T19:09:40.840Z",
"topSkills": [],
"connectionsCount": 8,
"followerCount": 40710904,
"verified": true,
"about": "Chair of the Gates Foundation. Founder of Breakthrough Energy. Co-founder of Microsoft. Voracious reader. Avid traveler. Active blogger.",
"industry": {
"id": 131,
"name": "Philanthropic Fundraising Services"
},
"currentPosition": [
{
"position": "Co-chair",
"location": null,
"employmentType": null,
"workplaceType": null,
"companyName": "Gates Foundation",
"companyUniversalName": "gates-foundation",
"companyLinkedinUrl": "https://www.linkedin.com/company/gates-foundation/",
"companyId": "8736",
"duration": "26 yrs 10 mos",
"description": null,
"skills": null,
"startDate": {
"year": 2000,
"text": "2000"
},
"endDate": {
"text": "Present"
},
"companyLogo": {
"url": "https://media.licdn.com/dms/image/v2/D560BAQEgMqqFTd40Tg/company-logo_400_400/company-logo_400_400/0/1736784969376/bill__melinda_gates_foundation_logo?e=1793232000&v=beta&t=-3Or6OsbYEKsjb0OeDOnM7sqQbLZt5c7mY8psW87kHE",
"sizes": [
{
"url": "https://media.licdn.com/dms/image/v2/D560BAQEgMqqFTd40Tg/company-logo_400_400/company-logo_400_400/0/1736784969376/bill__melinda_gates_foundation_logo?e=1793232000&v=beta&t=-3Or6OsbYEKsjb0OeDOnM7sqQbLZt5c7mY8psW87kHE",
"width": 400,
"height": 400
}
]
}
}
],
"profileTopEducation": [
{
"schoolName": "Harvard University",
"description": null,
"insights": null,
"skills": null,
"schoolLinkedinUrl": "https://www.linkedin.com/company/1646/",
"schoolId": "1646",
"degree": null,
"fieldOfStudy": null,
"period": "1973 - 1975",
"startDate": {
"year": 1973,
"text": "1973"
},
"endDate": {
"year": 1975,
"text": "1975"
},
"schoolLogo": {
"url": "https://media.licdn.com/dms/image/v2/C4E0BAQF5t62bcL0e9g/company-logo_400_400/company-logo_400_400/0/1631318058235?e=1793232000&v=beta&t=tG7qGly5_Uq33s6x0-9U8QrenZr2NTdEdR8ydLfb8II",
"sizes": [
{
"url": "https://media.licdn.com/dms/image/v2/C4E0BAQF5t62bcL0e9g/company-logo_400_400/company-logo_400_400/0/1631318058235?e=1793232000&v=beta&t=tG7qGly5_Uq33s6x0-9U8QrenZr2NTdEdR8ydLfb8II",
"width": 400,
"height": 400
}
]
}
}
],
"profileActions": [
{
"label": "View my newsletter",
"url": "https://www.linkedin.com/newsletters/gates-notes-6651495472181637121/"
}
],
"profilePicture": {
"url": "https://media.licdn.com/dms/image/v2/D5603AQF-RYZP55jmXA/profile-displayphoto-shrink_800_800/B56ZRi8g.aGsAc-/0/1736826818808?e=1793232000&v=beta&t=h84Ee-2NucG0tJjTkgWGFHOtQD4ICX0mrcRqdTWoQzM",
"sizes": [
{
"url": "https://media.licdn.com/dms/image/v2/D5603AQF-RYZP55jmXA/profile-displayphoto-shrink_800_800/B56ZRi8g.aGsAc-/0/1736826818808?e=1793232000&v=beta&t=h84Ee-2NucG0tJjTkgWGFHOtQD4ICX0mrcRqdTWoQzM",
"width": 800,
"height": 800
}
]
},
"coverPicture": {
"url": "https://media.licdn.com/dms/image/v2/D5616AQEjhPbTCeblYg/profile-displaybackgroundimage-shrink_350_1400/B56ZcytR5SGsAg-/0/1748902420393?e=1793232000&v=beta&t=PurNZciepthIMLCl9A59bR0oQS7vFuaZzm97H6JF1_8",
"sizes": [
{
"url": "https://media.licdn.com/dms/image/v2/D5616AQEjhPbTCeblYg/profile-displaybackgroundimage-shrink_350_1400/B56ZcytR5SGsAg-/0/1748902420393?e=1793232000&v=beta&t=PurNZciepthIMLCl9A59bR0oQS7vFuaZzm97H6JF1_8",
"width": 1400,
"height": 350
}
]
},
"photo": "https://media.licdn.com/dms/image/v2/D5603AQF-RYZP55jmXA/profile-displayphoto-shrink_800_800/B56ZRi8g.aGsAc-/0/1736826818808?e=1793232000&v=beta&t=h84Ee-2NucG0tJjTkgWGFHOtQD4ICX0mrcRqdTWoQzM",
"profileLocales": [
{
"country": "US",
"language": "en"
}
],
"primaryLocale": {
"country": "US",
"language": "en"
},
"multiLocaleHeadline": [
{
"headline": "Chair, Gates Foundation and Founder, Breakthrough Energy",
"locale": "en_US"
}
],
"services": null,
"experience": [
{
"position": "Co-chair",
"location": null,
"employmentType": null,
"workplaceType": null,
"companyName": "Gates Foundation",
"companyUniversalName": "gates-foundation",
"companyLinkedinUrl": "https://www.linkedin.com/company/gates-foundation/",
"companyId": "8736",
"duration": "26 yrs 10 mos",
"description": null,
"skills": null,
"startDate": {
"year": 2000,
"text": "2000"
},
"endDate": {
"text": "Present"
},
"companyLogo": {
"url": "https://media.licdn.com/dms/image/v2/D560BAQEgMqqFTd40Tg/company-logo_400_400/company-logo_400_400/0/1736784969376/bill__melinda_gates_foundation_logo?e=1793232000&v=beta&t=-3Or6OsbYEKsjb0OeDOnM7sqQbLZt5c7mY8psW87kHE",
"sizes": [
{
"url": "https://media.licdn.com/dms/image/v2/D560BAQEgMqqFTd40Tg/company-logo_400_400/company-logo_400_400/0/1736784969376/bill__melinda_gates_foundation_logo?e=1793232000&v=beta&t=-3Or6OsbYEKsjb0OeDOnM7sqQbLZt5c7mY8psW87kHE",
"width": 400,
"height": 400
}
]
}
},
{
"position": "Founder",
"location": null,
"employmentType": null,
"workplaceType": null,
"companyName": "Breakthrough Energy ",
"companyUniversalName": "breakthrough-energy",
"companyLinkedinUrl": "https://www.linkedin.com/company/breakthrough-energy/",
"companyId": "19141006",
"duration": "11 yrs 10 mos",
"description": null,
"skills": null,
"startDate": {
"year": 2015,
"text": "2015"
},
"endDate": {
"text": "Present"
},
"companyLogo": {
"url": "https://media.licdn.com/dms/image/v2/D560BAQFRMYiQN7-2kA/company-logo_400_400/B56ZoI4SGPI0AY-/0/1761085563539/breakthrough_energy_logo?e=1793232000&v=beta&t=FBopuNvB5P3C3RAvxFakKw8SfEvJkHDMC8Cy1ivv3a4",
"sizes": [
{
"url": "https://media.licdn.com/dms/image/v2/D560BAQFRMYiQN7-2kA/company-logo_400_400/B56ZoI4SGPI0AY-/0/1761085563539/breakthrough_energy_logo?e=1793232000&v=beta&t=FBopuNvB5P3C3RAvxFakKw8SfEvJkHDMC8Cy1ivv3a4",
"width": 400,
"height": 400
}
]
}
}
],
"education": [
{
"schoolName": "Harvard University",
"description": null,
"insights": null,
"skills": null,
"schoolLinkedinUrl": "https://www.linkedin.com/company/1646/",
"schoolId": "1646",
"degree": null,
"fieldOfStudy": null,
"period": "1973 - 1975",
"startDate": {
"year": 1973,
"text": "1973"
},
"endDate": {
"year": 1975,
"text": "1975"
},
"schoolLogo": {
"url": "https://media.licdn.com/dms/image/v2/C4E0BAQF5t62bcL0e9g/company-logo_400_400/company-logo_400_400/0/1631318058235?e=1793232000&v=beta&t=tG7qGly5_Uq33s6x0-9U8QrenZr2NTdEdR8ydLfb8II",
"sizes": [
{
"url": "https://media.licdn.com/dms/image/v2/C4E0BAQF5t62bcL0e9g/company-logo_400_400/company-logo_400_400/0/1631318058235?e=1793232000&v=beta&t=tG7qGly5_Uq33s6x0-9U8QrenZr2NTdEdR8ydLfb8II",
"width": 400,
"height": 400
}
]
}
},
{
"schoolName": "Lakeside School",
"description": null,
"insights": null,
"skills": null,
"schoolLinkedinUrl": "https://www.linkedin.com/company/30288/",
"schoolId": "30288",
"degree": null,
"fieldOfStudy": null,
"period": null,
"startDate": null,
"endDate": null,
"schoolLogo": {
"url": "https://media.licdn.com/dms/image/v2/D560BAQGFmOQmzpxg9A/company-logo_400_400/company-logo_400_400/0/1683732883164/lakeside_school_logo?e=1793232000&v=beta&t=LuT1qFGoma5gJltCnUOlsIthuPoLj_fhfuT1SwUjyzM",
"sizes": [
{
"url": "https://media.licdn.com/dms/image/v2/D560BAQGFmOQmzpxg9A/company-logo_400_400/company-logo_400_400/0/1683732883164/lakeside_school_logo?e=1793232000&v=beta&t=LuT1qFGoma5gJltCnUOlsIthuPoLj_fhfuT1SwUjyzM",
"width": 400,
"height": 400
}
]
}
}
],
"certifications": [],
"projects": [],
"volunteering": [],
"receivedRecommendations": [],
"skills": [],
"publications": [],
"courses": [],
"patents": [],
"honorsAndAwards": [],
"languages": [],
"organizations": [],
"causes": [],
"featured": {
"images": [],
"link": null,
"title": null,
"subtitle": null,
"slides": [
{
"title": "The turbulent AI era is here. The choices we make now are critical.",
"subtitle": "Bill Gates on LinkedIn • 5+ min read",
"description": null,
"url": "https://www.linkedin.com/feed/update/urn:li:activity:7498273886308966401?updateEntityUrn=urn%3Ali%3Afs_feedUpdate%3A%28V2%2Curn%3Ali%3Aactivity%3A7498273886308966401%29",
"image": {
"url": "https://media.licdn.com/dms/image/v2/D4E12AQEXiYCQfVP_fQ/videocover-high/B4EaA6Xi8KHwBo-/0/1787685647281?e=1793232000&v=beta&t=xBM36VUG-NDJZZvsyjlwLMfThDkjoaJi36qnh34lLpU"
}
},
{
"title": "What the Gates Foundation hopes to accomplish over the next 20 years",
"subtitle": "Bill Gates on LinkedIn • 5 min read",
"description": null,
"url": "https://www.linkedin.com/feed/update/urn:li:activity:7407934241675608064?updateEntityUrn=urn%3Ali%3Afs_feedUpdate%3A%28V2%2Curn%3Ali%3Aactivity%3A7407934241675608064%29",
"image": {
"url": "https://media.licdn.com/dms/image/v2/D5612AQE-eZUAKTbmyQ/article-cover_image-shrink_720_1280/B56Zs5D6pMKIAI-/0/1766188887129?e=1793232000&v=beta&t=0NTehccq7SqaYFFVyfTJvYLmI8OoCoHfSlDYWRQUSAQ"
}
}
]
},
"composeOptionType": null,
"moreProfiles": [
{
"id": "ACoAAE6FVtYBAW4bP82g1IhIHxzu_1J010WU3CQ",
"firstName": "Sundar ",
"lastName": "Pichai ",
"position": "CEO at Google",
"publicIdentifier": "sundarpichai",
"linkedinUrl": "https://www.linkedin.com/in/sundarpichai"
},
{
"id": "ACoAABBhhiABVwqIoiMz90f7wLjjl8xvtPe3u3c",
"firstName": "Narendra",
"lastName": "Modi",
"position": "Prime Minister of India",
"publicIdentifier": "narendramodi",
"linkedinUrl": "https://www.linkedin.com/in/narendramodi"
}
],
"sectionTotals": {
"experience": 3,
"education": 2,
"certifications": 0,
"receivedRecommendations": 0,
"skills": 0,
"courses": 0,
"languages": 0,
"projects": 0,
"volunteering": 0,
"publications": 0,
"patents": 0,
"organizations": 0,
"honorsAndAwards": 0,
"causes": 0
},
"interests": [
{
"interestName": "Top Voices",
"elements": [
{
"title": "Mary Barra",
"subtitle": "Chair and Chief Executive Officer at General Motors",
"link": "https://www.linkedin.com/in/mary-barra",
"caption": "1,509,312 followers",
"image": {
"url": "https://media.licdn.com/dms/image/v2/D5603AQFNy7nvRz3AAA/profile-displayphoto-shrink_800_800/B56ZSTmJCnGsAc-/0/1737643037521?e=1793232000&v=beta&t=LaAFH90UQgMJRodv2svlgFb01iulYSOmCePcnMM-nOI"
}
},
{
"title": "Reid Hoffman",
"subtitle": "Co-Founder, LinkedIn, Manas AI & Inflection AI. Founding Team, PayPal. Author of Superagency. Podcaster of Possible and Masters of Scale. ",
"link": "https://www.linkedin.com/in/reidhoffman",
"caption": "2,795,991 followers",
"image": {
"url": "https://media.licdn.com/dms/image/v2/D5603AQHW7wKzPb3DAg/profile-displayphoto-shrink_800_800/profile-displayphoto-shrink_800_800/0/1718216236351?e=1793232000&v=beta&t=zIBEchZCbBW3vaYQ9dusPzn5bNGrt5qgE6SlK2lDUKs"
}
}
]
},
{
"interestName": "Companies",
"elements": [
{
"title": "Microsoft",
"subtitle": null,
"link": "https://www.linkedin.com/company/1035/",
"caption": "29,252,965 followers",
"image": {
"url": "https://media.licdn.com/dms/image/v2/D560BAQH32RJQCl3dDQ/company-logo_400_400/B56ZYQ0mrGGoAc-/0/1744038948046/microsoft_logo?e=1793232000&v=beta&t=-G3KTWbySWNRDLM-7_sSgY3V09nqPA0Iswoptltp6cs"
}
},
{
"title": "LinkedIn",
"subtitle": null,
"link": "https://www.linkedin.com/company/1337/",
"caption": "34,479,013 followers",
"image": {
"url": "https://media.licdn.com/dms/image/v2/C560BAQHaVYd13rRz3A/company-logo_400_400/company-logo_400_400/0/1638831590218/linkedin_logo?e=1793232000&v=beta&t=DDn52_5dJe1-e5SUzNqxbMt9eScyf-iFUgDNyoc83m4"
}
}
]
}
]
},
"query": {
"url": "https://www.linkedin.com/in/williamhgates",
"publicIdentifier": "williamhgates",
"profileId": "ACoAAA8BYqEBCGLg_vT_ca6mMEqkpp9nVffJ3hc"
},
"status": 200,
"retries": 0,
"payments": [
"linkedinProfile"
],
"originalQuery": {
"url": "https://www.linkedin.com/in/williamhgates"
},
"cost": 0.0037,
"entityId": "ACoAAA8BYqEBCGLg_vT_ca6mMEqkpp9nVffJ3hc",
"datacircle_meta": {
"provider": "harvestapi",
"dollar_credits_cost": 0.0037,
"dollar_credits_remaining": 4.9963
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"dollar_credits_remaining": 123
}{
"error": "<string>"
}{
"error": "<string>",
"dollar_credits_remaining": 123
}Get one LinkedIn profile
HarvestAPI’s own request (https://api.harvest-api.com/linkedin/profile), sent to api.datacircle.dev with your Datacircle key in Authorization and X-Data-Provider: harvestapi. Nothing else changes. 0.0037 dollar credits per profile found, 0.0023 per profile not found (HarvestAPI’s price, no markup).
curl "https://api.datacircle.dev/linkedin/profile?url=https://www.linkedin.com/in/williamhgates" \
-H "Authorization: Token $DATACIRCLE_API_KEY" \
-H "X-Data-Provider: harvestapi"import os
import requests
response = requests.get(
"https://api.datacircle.dev/linkedin/profile",
headers={"Authorization": f"Token {os.environ['DATACIRCLE_API_KEY']}", "X-Data-Provider": "harvestapi"},
params={'url': 'https://www.linkedin.com/in/williamhgates'},
)
print(response.json())const options = {
method: 'GET',
headers: {'X-Data-Provider': '<x-data-provider>', Authorization: 'Bearer <token>'}
};
fetch('https://api.datacircle.dev/linkedin/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"element": {
"id": "ACoAAA8BYqEBCGLg_vT_ca6mMEqkpp9nVffJ3hc",
"publicIdentifier": "williamhgates",
"linkedinUrl": "https://www.linkedin.com/in/williamhgates",
"firstName": "Bill",
"lastName": "Gates",
"emails": [],
"headline": "Chair, Gates Foundation and Founder, Breakthrough Energy",
"websites": [
"https://gatesnot.es/AI"
],
"openToWork": false,
"hiring": false,
"premium": true,
"influencer": true,
"memorialized": false,
"creator": true,
"location": {
"linkedinText": "Seattle, Washington, United States",
"countryCode": "US",
"parsed": {
"text": "Seattle, WA, United States",
"countryCode": "US",
"regionCode": null,
"country": "United States",
"countryFull": "United States of America",
"state": "Washington",
"city": "Seattle"
}
},
"objectUrn": "251749025",
"registeredAt": "2013-05-02T19:09:40.840Z",
"topSkills": [],
"connectionsCount": 8,
"followerCount": 40710904,
"verified": true,
"about": "Chair of the Gates Foundation. Founder of Breakthrough Energy. Co-founder of Microsoft. Voracious reader. Avid traveler. Active blogger.",
"industry": {
"id": 131,
"name": "Philanthropic Fundraising Services"
},
"currentPosition": [
{
"position": "Co-chair",
"location": null,
"employmentType": null,
"workplaceType": null,
"companyName": "Gates Foundation",
"companyUniversalName": "gates-foundation",
"companyLinkedinUrl": "https://www.linkedin.com/company/gates-foundation/",
"companyId": "8736",
"duration": "26 yrs 10 mos",
"description": null,
"skills": null,
"startDate": {
"year": 2000,
"text": "2000"
},
"endDate": {
"text": "Present"
},
"companyLogo": {
"url": "https://media.licdn.com/dms/image/v2/D560BAQEgMqqFTd40Tg/company-logo_400_400/company-logo_400_400/0/1736784969376/bill__melinda_gates_foundation_logo?e=1793232000&v=beta&t=-3Or6OsbYEKsjb0OeDOnM7sqQbLZt5c7mY8psW87kHE",
"sizes": [
{
"url": "https://media.licdn.com/dms/image/v2/D560BAQEgMqqFTd40Tg/company-logo_400_400/company-logo_400_400/0/1736784969376/bill__melinda_gates_foundation_logo?e=1793232000&v=beta&t=-3Or6OsbYEKsjb0OeDOnM7sqQbLZt5c7mY8psW87kHE",
"width": 400,
"height": 400
}
]
}
}
],
"profileTopEducation": [
{
"schoolName": "Harvard University",
"description": null,
"insights": null,
"skills": null,
"schoolLinkedinUrl": "https://www.linkedin.com/company/1646/",
"schoolId": "1646",
"degree": null,
"fieldOfStudy": null,
"period": "1973 - 1975",
"startDate": {
"year": 1973,
"text": "1973"
},
"endDate": {
"year": 1975,
"text": "1975"
},
"schoolLogo": {
"url": "https://media.licdn.com/dms/image/v2/C4E0BAQF5t62bcL0e9g/company-logo_400_400/company-logo_400_400/0/1631318058235?e=1793232000&v=beta&t=tG7qGly5_Uq33s6x0-9U8QrenZr2NTdEdR8ydLfb8II",
"sizes": [
{
"url": "https://media.licdn.com/dms/image/v2/C4E0BAQF5t62bcL0e9g/company-logo_400_400/company-logo_400_400/0/1631318058235?e=1793232000&v=beta&t=tG7qGly5_Uq33s6x0-9U8QrenZr2NTdEdR8ydLfb8II",
"width": 400,
"height": 400
}
]
}
}
],
"profileActions": [
{
"label": "View my newsletter",
"url": "https://www.linkedin.com/newsletters/gates-notes-6651495472181637121/"
}
],
"profilePicture": {
"url": "https://media.licdn.com/dms/image/v2/D5603AQF-RYZP55jmXA/profile-displayphoto-shrink_800_800/B56ZRi8g.aGsAc-/0/1736826818808?e=1793232000&v=beta&t=h84Ee-2NucG0tJjTkgWGFHOtQD4ICX0mrcRqdTWoQzM",
"sizes": [
{
"url": "https://media.licdn.com/dms/image/v2/D5603AQF-RYZP55jmXA/profile-displayphoto-shrink_800_800/B56ZRi8g.aGsAc-/0/1736826818808?e=1793232000&v=beta&t=h84Ee-2NucG0tJjTkgWGFHOtQD4ICX0mrcRqdTWoQzM",
"width": 800,
"height": 800
}
]
},
"coverPicture": {
"url": "https://media.licdn.com/dms/image/v2/D5616AQEjhPbTCeblYg/profile-displaybackgroundimage-shrink_350_1400/B56ZcytR5SGsAg-/0/1748902420393?e=1793232000&v=beta&t=PurNZciepthIMLCl9A59bR0oQS7vFuaZzm97H6JF1_8",
"sizes": [
{
"url": "https://media.licdn.com/dms/image/v2/D5616AQEjhPbTCeblYg/profile-displaybackgroundimage-shrink_350_1400/B56ZcytR5SGsAg-/0/1748902420393?e=1793232000&v=beta&t=PurNZciepthIMLCl9A59bR0oQS7vFuaZzm97H6JF1_8",
"width": 1400,
"height": 350
}
]
},
"photo": "https://media.licdn.com/dms/image/v2/D5603AQF-RYZP55jmXA/profile-displayphoto-shrink_800_800/B56ZRi8g.aGsAc-/0/1736826818808?e=1793232000&v=beta&t=h84Ee-2NucG0tJjTkgWGFHOtQD4ICX0mrcRqdTWoQzM",
"profileLocales": [
{
"country": "US",
"language": "en"
}
],
"primaryLocale": {
"country": "US",
"language": "en"
},
"multiLocaleHeadline": [
{
"headline": "Chair, Gates Foundation and Founder, Breakthrough Energy",
"locale": "en_US"
}
],
"services": null,
"experience": [
{
"position": "Co-chair",
"location": null,
"employmentType": null,
"workplaceType": null,
"companyName": "Gates Foundation",
"companyUniversalName": "gates-foundation",
"companyLinkedinUrl": "https://www.linkedin.com/company/gates-foundation/",
"companyId": "8736",
"duration": "26 yrs 10 mos",
"description": null,
"skills": null,
"startDate": {
"year": 2000,
"text": "2000"
},
"endDate": {
"text": "Present"
},
"companyLogo": {
"url": "https://media.licdn.com/dms/image/v2/D560BAQEgMqqFTd40Tg/company-logo_400_400/company-logo_400_400/0/1736784969376/bill__melinda_gates_foundation_logo?e=1793232000&v=beta&t=-3Or6OsbYEKsjb0OeDOnM7sqQbLZt5c7mY8psW87kHE",
"sizes": [
{
"url": "https://media.licdn.com/dms/image/v2/D560BAQEgMqqFTd40Tg/company-logo_400_400/company-logo_400_400/0/1736784969376/bill__melinda_gates_foundation_logo?e=1793232000&v=beta&t=-3Or6OsbYEKsjb0OeDOnM7sqQbLZt5c7mY8psW87kHE",
"width": 400,
"height": 400
}
]
}
},
{
"position": "Founder",
"location": null,
"employmentType": null,
"workplaceType": null,
"companyName": "Breakthrough Energy ",
"companyUniversalName": "breakthrough-energy",
"companyLinkedinUrl": "https://www.linkedin.com/company/breakthrough-energy/",
"companyId": "19141006",
"duration": "11 yrs 10 mos",
"description": null,
"skills": null,
"startDate": {
"year": 2015,
"text": "2015"
},
"endDate": {
"text": "Present"
},
"companyLogo": {
"url": "https://media.licdn.com/dms/image/v2/D560BAQFRMYiQN7-2kA/company-logo_400_400/B56ZoI4SGPI0AY-/0/1761085563539/breakthrough_energy_logo?e=1793232000&v=beta&t=FBopuNvB5P3C3RAvxFakKw8SfEvJkHDMC8Cy1ivv3a4",
"sizes": [
{
"url": "https://media.licdn.com/dms/image/v2/D560BAQFRMYiQN7-2kA/company-logo_400_400/B56ZoI4SGPI0AY-/0/1761085563539/breakthrough_energy_logo?e=1793232000&v=beta&t=FBopuNvB5P3C3RAvxFakKw8SfEvJkHDMC8Cy1ivv3a4",
"width": 400,
"height": 400
}
]
}
}
],
"education": [
{
"schoolName": "Harvard University",
"description": null,
"insights": null,
"skills": null,
"schoolLinkedinUrl": "https://www.linkedin.com/company/1646/",
"schoolId": "1646",
"degree": null,
"fieldOfStudy": null,
"period": "1973 - 1975",
"startDate": {
"year": 1973,
"text": "1973"
},
"endDate": {
"year": 1975,
"text": "1975"
},
"schoolLogo": {
"url": "https://media.licdn.com/dms/image/v2/C4E0BAQF5t62bcL0e9g/company-logo_400_400/company-logo_400_400/0/1631318058235?e=1793232000&v=beta&t=tG7qGly5_Uq33s6x0-9U8QrenZr2NTdEdR8ydLfb8II",
"sizes": [
{
"url": "https://media.licdn.com/dms/image/v2/C4E0BAQF5t62bcL0e9g/company-logo_400_400/company-logo_400_400/0/1631318058235?e=1793232000&v=beta&t=tG7qGly5_Uq33s6x0-9U8QrenZr2NTdEdR8ydLfb8II",
"width": 400,
"height": 400
}
]
}
},
{
"schoolName": "Lakeside School",
"description": null,
"insights": null,
"skills": null,
"schoolLinkedinUrl": "https://www.linkedin.com/company/30288/",
"schoolId": "30288",
"degree": null,
"fieldOfStudy": null,
"period": null,
"startDate": null,
"endDate": null,
"schoolLogo": {
"url": "https://media.licdn.com/dms/image/v2/D560BAQGFmOQmzpxg9A/company-logo_400_400/company-logo_400_400/0/1683732883164/lakeside_school_logo?e=1793232000&v=beta&t=LuT1qFGoma5gJltCnUOlsIthuPoLj_fhfuT1SwUjyzM",
"sizes": [
{
"url": "https://media.licdn.com/dms/image/v2/D560BAQGFmOQmzpxg9A/company-logo_400_400/company-logo_400_400/0/1683732883164/lakeside_school_logo?e=1793232000&v=beta&t=LuT1qFGoma5gJltCnUOlsIthuPoLj_fhfuT1SwUjyzM",
"width": 400,
"height": 400
}
]
}
}
],
"certifications": [],
"projects": [],
"volunteering": [],
"receivedRecommendations": [],
"skills": [],
"publications": [],
"courses": [],
"patents": [],
"honorsAndAwards": [],
"languages": [],
"organizations": [],
"causes": [],
"featured": {
"images": [],
"link": null,
"title": null,
"subtitle": null,
"slides": [
{
"title": "The turbulent AI era is here. The choices we make now are critical.",
"subtitle": "Bill Gates on LinkedIn • 5+ min read",
"description": null,
"url": "https://www.linkedin.com/feed/update/urn:li:activity:7498273886308966401?updateEntityUrn=urn%3Ali%3Afs_feedUpdate%3A%28V2%2Curn%3Ali%3Aactivity%3A7498273886308966401%29",
"image": {
"url": "https://media.licdn.com/dms/image/v2/D4E12AQEXiYCQfVP_fQ/videocover-high/B4EaA6Xi8KHwBo-/0/1787685647281?e=1793232000&v=beta&t=xBM36VUG-NDJZZvsyjlwLMfThDkjoaJi36qnh34lLpU"
}
},
{
"title": "What the Gates Foundation hopes to accomplish over the next 20 years",
"subtitle": "Bill Gates on LinkedIn • 5 min read",
"description": null,
"url": "https://www.linkedin.com/feed/update/urn:li:activity:7407934241675608064?updateEntityUrn=urn%3Ali%3Afs_feedUpdate%3A%28V2%2Curn%3Ali%3Aactivity%3A7407934241675608064%29",
"image": {
"url": "https://media.licdn.com/dms/image/v2/D5612AQE-eZUAKTbmyQ/article-cover_image-shrink_720_1280/B56Zs5D6pMKIAI-/0/1766188887129?e=1793232000&v=beta&t=0NTehccq7SqaYFFVyfTJvYLmI8OoCoHfSlDYWRQUSAQ"
}
}
]
},
"composeOptionType": null,
"moreProfiles": [
{
"id": "ACoAAE6FVtYBAW4bP82g1IhIHxzu_1J010WU3CQ",
"firstName": "Sundar ",
"lastName": "Pichai ",
"position": "CEO at Google",
"publicIdentifier": "sundarpichai",
"linkedinUrl": "https://www.linkedin.com/in/sundarpichai"
},
{
"id": "ACoAABBhhiABVwqIoiMz90f7wLjjl8xvtPe3u3c",
"firstName": "Narendra",
"lastName": "Modi",
"position": "Prime Minister of India",
"publicIdentifier": "narendramodi",
"linkedinUrl": "https://www.linkedin.com/in/narendramodi"
}
],
"sectionTotals": {
"experience": 3,
"education": 2,
"certifications": 0,
"receivedRecommendations": 0,
"skills": 0,
"courses": 0,
"languages": 0,
"projects": 0,
"volunteering": 0,
"publications": 0,
"patents": 0,
"organizations": 0,
"honorsAndAwards": 0,
"causes": 0
},
"interests": [
{
"interestName": "Top Voices",
"elements": [
{
"title": "Mary Barra",
"subtitle": "Chair and Chief Executive Officer at General Motors",
"link": "https://www.linkedin.com/in/mary-barra",
"caption": "1,509,312 followers",
"image": {
"url": "https://media.licdn.com/dms/image/v2/D5603AQFNy7nvRz3AAA/profile-displayphoto-shrink_800_800/B56ZSTmJCnGsAc-/0/1737643037521?e=1793232000&v=beta&t=LaAFH90UQgMJRodv2svlgFb01iulYSOmCePcnMM-nOI"
}
},
{
"title": "Reid Hoffman",
"subtitle": "Co-Founder, LinkedIn, Manas AI & Inflection AI. Founding Team, PayPal. Author of Superagency. Podcaster of Possible and Masters of Scale. ",
"link": "https://www.linkedin.com/in/reidhoffman",
"caption": "2,795,991 followers",
"image": {
"url": "https://media.licdn.com/dms/image/v2/D5603AQHW7wKzPb3DAg/profile-displayphoto-shrink_800_800/profile-displayphoto-shrink_800_800/0/1718216236351?e=1793232000&v=beta&t=zIBEchZCbBW3vaYQ9dusPzn5bNGrt5qgE6SlK2lDUKs"
}
}
]
},
{
"interestName": "Companies",
"elements": [
{
"title": "Microsoft",
"subtitle": null,
"link": "https://www.linkedin.com/company/1035/",
"caption": "29,252,965 followers",
"image": {
"url": "https://media.licdn.com/dms/image/v2/D560BAQH32RJQCl3dDQ/company-logo_400_400/B56ZYQ0mrGGoAc-/0/1744038948046/microsoft_logo?e=1793232000&v=beta&t=-G3KTWbySWNRDLM-7_sSgY3V09nqPA0Iswoptltp6cs"
}
},
{
"title": "LinkedIn",
"subtitle": null,
"link": "https://www.linkedin.com/company/1337/",
"caption": "34,479,013 followers",
"image": {
"url": "https://media.licdn.com/dms/image/v2/C560BAQHaVYd13rRz3A/company-logo_400_400/company-logo_400_400/0/1638831590218/linkedin_logo?e=1793232000&v=beta&t=DDn52_5dJe1-e5SUzNqxbMt9eScyf-iFUgDNyoc83m4"
}
}
]
}
]
},
"query": {
"url": "https://www.linkedin.com/in/williamhgates",
"publicIdentifier": "williamhgates",
"profileId": "ACoAAA8BYqEBCGLg_vT_ca6mMEqkpp9nVffJ3hc"
},
"status": 200,
"retries": 0,
"payments": [
"linkedinProfile"
],
"originalQuery": {
"url": "https://www.linkedin.com/in/williamhgates"
},
"cost": 0.0037,
"entityId": "ACoAAA8BYqEBCGLg_vT_ca6mMEqkpp9nVffJ3hc",
"datacircle_meta": {
"provider": "harvestapi",
"dollar_credits_cost": 0.0037,
"dollar_credits_remaining": 4.9963
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"dollar_credits_remaining": 123
}{
"error": "<string>"
}{
"error": "<string>",
"dollar_credits_remaining": 123
}Authorizations
Your API key: Authorization: Bearer <your API key>. Authorization: Token <your API key> works too.
Headers
names the provider: harvestapi. With the host, the only change from the provider's own request.
harvestapi Query Parameters
The profile's LinkedIn URL, e.g. https://www.linkedin.com/in/williamhgates. The only HarvestAPI parameter Datacircle passes on.
Response
HarvestAPI's answer plus datacircle_meta, as HarvestAPI sends it: a 200 whether it found the profile (status: 200, 0.0037 dollar credits) or not (element: null, status: 404, error: Profile not found, 0.0023 dollar credits: HarvestAPI bills the lookup)
HarvestAPI's own answer to GET /linkedin/profile, minus user and requestId (our account with HarvestAPI), plus datacircle_meta.
The profile; null when HarvestAPI can't find it (status 404) or refuses the request (status 400).
Show child attributes
Show child attributes
What HarvestAPI billed for the call, e.g. 0.0037 for a profile, 0.0023 for a profile it can't find; on a stored answer, what the call that first fetched it was billed. Datacircle charges you the same number of dollar credits (datacircle_meta.dollar_credits_cost, 0 on a stored answer).
The profile's LinkedIn member id (ACoAA…), as element.id; null when not found.
The request HarvestAPI got.
Show child attributes
Show child attributes
What HarvestAPI billed, by name: linkedinProfile for a profile, linkedinProfileShort for a lookup that found nothing.
The request as HarvestAPI understood it: the url it read, with the publicIdentifier and profileId it resolved.
Show child attributes
Show child attributes
How many times HarvestAPI retried LinkedIn for this answer.
HarvestAPI's own status, inside an HTTP 200: 200 found, 404 not found, 400 a request it refuses.
Datacircle's only addition to the provider's answer
Show child attributes
Show child attributes
HarvestAPI's message when element is null, e.g. Profile not found.
true when HarvestAPI didn't bill the call (a request it refuses).